org.apache.cassandra.io.util

## Interface JEMallocAllocator.JEMLibrary

- All Superinterfaces:
    com.sun.jna.Library
  Enclosing class:
    JEMallocAllocator

      public static interface JEMallocAllocator.JEMLibrary
      extends com.sun.jna.Library

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `com.sun.jna.Library.Handler`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `free(long pointer)`
    `long` | `malloc(long size)`

- - ### Method Detail

    - #### malloc

          long malloc(long size)

    - #### free

          void free(long pointer)

Copyright © 2014 The Apache Software Foundation